Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus Development Environment - Compilation errors
Papyrus Development Environment - Compilation errors [message #1774176] Wed, 11 October 2017 10:14
Stefan Swerk is currently offline Stefan SwerkFriend
Messages: 1
Registered: October 2017
Junior Member
Hi all,

I am trying to set up the development environment as
described in https://wiki.eclipse.org/Papyrus_Developer_Guide .

However, the resulting environment is not functional
because compilation errors are encountered.

This is my build environment:
-OS: Arch Linux x86_64 (Linux 4.13.4)
-openjdk version "1.8.0_144"
-OpenJDK Runtime Environment (build 1.8.0_144-b01)
-OpenJDK 64-Bit Server VM (build 25.144-b01, mixed mode)

These are the steps that I took during installation:
-Using the Oomph Installer, select "Eclipse IDE for Eclipse Committers", Product version "Oxygen"
-Select/tick "Papyrus" as project to provision, untick "Extras" and "Developer"
-For each catalog/project select stream "streams/3.0-maintenance (Oxygen/3.x)"
-Choose installation folder name "papyrus" and Target Platform "Oxygen"
-Let the installation complete, the resulting log is attached "01.oomph.installer.log" (no errors so far)
-Eclipse is launched automatically, the Oomph Eclipse Updater runs and finishes, the resulting log is attached "02.oomph.eclipse.updater.log"
-The Eclipse build process finishes with 719 errors, attached as "03.compilation.errors.log"

It seems as if the org.eclipse.papyrus.gmfgenextension is not found/available.

How can I resolve these errors?

Thank you
Previous Topic:SysML 1.4 install error on Oxygen
Next Topic:How to programmatically create temporary Papyrus diagrams?
Goto Forum:
  


Current Time: Sun Jun 24 22:53:21 GMT 2018

Powered by FUDForum. Page generated in 0.01527 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top